﻿/*
 * FILE:        ResultNames.cs
 *                                                                      
 * DESCRIPTION: The file contains names of results returned by KMeansClusteringController.
 *
 * VERSION:     v1.0, updated July 2011.
 *
 * Copyright © 2011 Microsoft Corporation. All rights reserved.
 */

namespace Research.MapReduce.Samples.KMeansClustering
{
    /// <summary>
    /// Contains the names of results returned by <see cref="Research.MapReduce.Samples.KMeansClustering.KMeansClusteringController"/>.
    /// </summary>
    public class ResultNames
    {
        #region Fields

        public const string NumberOfIterations = "NumberOfIterations";
        public const string FinalClustersBlobUri = "FinalClustersBlobUri";

        #endregion
    }
}