﻿//------------------------------------------------------------------------------------------------- 
// <copyright file="ParameterNames.cs" company="Microsoft">
// Copyright (c) Microsoft. All rights reserved.
// </copyright>
//-------------------------------------------------------------------------------------------------

namespace Research.MapReduce.Samples.OutlierDetection
{
    /// <summary>
    /// Contains names of parameters used by <see cref="Research.MapReduce.Samples.OutlierDetectionOutlierDetectionController"/>.
    /// </summary>
    public class ParameterNames
    {
        #region Fields

        public const string InputDataLocation = "InputDataLocation";
        public const string OutputDataLocation = "OutputDataLocation";
        public const string Mappers = "Mappers";
        public const string Reducers = "Reducers";

        public const string ColumnNames = "ColumnNames";
        public const string NumberOfOutliers = "NumberOfOutliers";
        public const string JobTimeoutInMinutes = "JobTimeoutInMinutes";

        public const string CsvHeader = "CsvHeader";
        public const string StorageConnectionString = "StorageConnectionString";
        public const string FindAttributesCountOutputContainerName = "FindAttributesCountOutputContainerName";

        #endregion
    }
}