﻿/*
 * FILE:        ParameterNames.cs
 *                                                                      
 * DESCRIPTION: The file contains names of parameters used by WordCountController.
 *
 * VERSION:     v1.0, updated July 2011.
 *
 * Copyright © 2011 Microsoft Corporation. All rights reserved.
 */

namespace Research.MapReduce.Samples.WordCount
{
    /// <summary>
    /// Contains names of parameters used by <see cref="Research.MapReduce.Samples.WordCount.WordCountController"/>.
    /// </summary>
    public class ParameterNames
    {
        #region Fields

        public const string InputDataLocation = "InputDataLocation";
        public const string OutputDataLocation = "OutputDataLocation";
        public const string Mappers = "Mappers";
        public const string Reducers = "Reducers";
        public const string JobTimeoutInMinutes = "JobTimeoutInMinutes";

        #endregion
    }
}
